<?php
namespace Diamond\Repositories;

use Core\Repository\CrudInterface;
use Core\Repository\PropelQueryAbstract;


/**
 * Description of Bonus
 *
 * @author Dmitriy
 */
class Stat extends PropelQueryAbstract implements CrudInterface{
    
    public function buildEntity() {
        return new \Diamond\Infrastructure\Models\Stat\Stat();
    }

    public function buildQuery() {
        return \Diamond\Infrastructure\Models\Stat\StatQuery::create();
    }

}
